Bug 693523 - Unable to change schema online
Summary: Unable to change schema online
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On: 693466
Blocks: 639035 389_1.2.8
TreeView+ depends on / blocked
 
Reported: 2011-04-04 21:14 UTC by Rich Megginson
Modified: 2015-01-04 23:47 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.8.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 693466
Environment:
Last Closed: 2011-05-19 12:43:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0533 normal SHIPPED_LIVE new package: 389-ds-base 2011-05-18 17:57:44 UTC

Description Rich Megginson 2011-04-04 21:14:24 UTC
+++ This bug was initially created as a clone of Bug #693466 +++

Description of problem:

Trying to do an online ADD to replace an existing schema value

attributeTypes:( 2.16.840.1.113730.3.8.3.3 NAME 'enrolledBy' DESC 'DN of administrator who performed manual enrollment of the host' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-ORIGIN 'IPA v2' )

with

( 2.16.840.1.113730.3.8.3.3 NAME 'enrolledBy' DESC 'DN of administrator who performed manual enrollment of the host' SUP distinguishedName X-ORIGIN 'IPA v2' )

Results in:

Type or value exists: attribute type enrolledBy: Missing parent attribute syntax OID

I also tried adding SYNTAX to the replacement and still returns:

Type or value exists: attribute type enrolledBy: Missing parent attribute syntax OID

Version-Release number of selected component (if applicable):

389-ds-base-1.2.8-0.1.a1.fc14.x86_64

--- Additional comment from rmeggins@redhat.com on 2011-04-04 17:13:46 EDT ---

Created attachment 489860 [details]
0005-Bug-693466-Unable-to-change-schema-online.patch

Comment 2 RHEL Product and Program Management 2011-04-04 21:23:32 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 6 Amita Sharma 2011-04-25 11:37:28 UTC
[root@rhel61-ds90-amita ~]# ldapmodify -x -h localhost -p 1389 -D "cn=directory manager" -w Secret123 -v << EOF
dn: cn=schema
changetype: modify
add: attributetypes
attributeTypes:( 2.16.840.1.113730.3.8.3.3 NAME 'enrolledBy' DESC 'DN of administrator who performed manual enrollment of the host' SUP distinguishedName X-ORIGIN 'IPA V2' )
EOF

ldap_initialize( ldap://localhost:1389 )
add attributeTypes:
	( 2.16.840.1.113730.3.8.3.3 NAME 'enrolledBy' DESC 'DN of administrator who performed manual enrollment of the host' SUP distinguishedName X-ORIGIN 'IPA V2' )
modifying entry "cn=schema"
modify complete

Tested successfully hence marking as VERIFIED.

Comment 7 errata-xmlrpc 2011-05-19 12:43:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html


Note You need to log in before you can comment on or make changes to this bug.